// DrawDoc.h : CDrawDoc 类的接口
//


#pragma once
#include "2DObject.h"

class CDrawDoc : public CDocument
{
protected: // 仅从序列化创建
	CDrawDoc();
	DECLARE_DYNCREATE(CDrawDoc)

// 属性
public:
	HCURSOR  m_hMyCursor;                   // 当前光标
	HCURSOR  m_hCursorPrev;                 // 前一光标
	enumDrawType m_DrawType;
	C2DMap*  m_pMap;                        // 图幅指针，装载所有图元对象
	CArray<CPoint,CPoint&>    m_arPt;       // 点数组


// 操作
public:

// 重写
public:
	virtual BOOL OnNewDocument();
	virtual void Serialize(CArchive& ar);

// 实现
public:
	virtual ~CDrawDoc();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// 生成的消息映射函数
protected:
	DECLARE_MESSAGE_MAP()
public:
	afx_msg void OnFileSave();
	virtual BOOL OnSaveDocument(LPCTSTR lpszPathName);
	virtual BOOL OnOpenDocument(LPCTSTR lpszPathName);
//	afx_msg void OnFileOpen();
};


